#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  SVT-AV1-4.1.0

- Next

  v4l-utils-1.32.0

- Up
- Home

# Taglib-2.2.1

## Introduction to Taglib

Taglib is a library used for reading, writing and manipulating audio file tags and is used by applications such as VLC.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://taglib.org/releases/taglib-2.2.1.tar.gz

- Download MD5 sum: 673958c16aa28c3e9db70e310de28f1c

- Download size: 1.5 MB

- Estimated disk space required: 19 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Taglib Dependencies

#### Required

CMake-4.3.2 and utfcpp-4.0.9

#### Optional (for tests)

Cppunit

## Installation of Taglib

Install Taglib by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=ON \
          .. &&
    make

The test suite requires Cppunit but it's not a BLFS package.

Now, as the `root` user:

    make install

## Contents

Installed Programs: taglib-config
Installed Libraries: libtag.so and libtag_c.so
Installed Directories: /usr/include/taglib

### Short Descriptions

taglib-config | is a tool used to print information about the taglib installation

- Prev

  SVT-AV1-4.1.0

- Next

  v4l-utils-1.32.0

- Up
- Home